# EditTextChatMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.edit.abstracts / EditTextChatMessage

# EditTextChatMessage

(common) `interface EditTextChatMessage` (source)

### Properties

(common)

#### parseMode

`abstract val parseMode: ParseMode?`

(common)

#### text

`abstract val text: String`

### Inheritors

(common)

#### EditChatMessageCaption

`data class EditChatMessageCaption : EditChatMessage<MediaContent>, EditTextChatMessage, EditReplyMessage`

(common)

#### EditChatMessageText

`data class EditChatMessageText : EditChatMessage<TextContent>, EditTextChatMessage, EditReplyMessage, EditDisableWebPagePreviewMessage`

(common)

#### EditInlineMessageCaption

`data class EditInlineMessageCaption : EditInlineMessage, EditTextChatMessage, EditReplyMessage`

(common)

#### EditInlineMessageText

`data class EditInlineMessageText : EditInlineMessage, EditTextChatMessage, EditReplyMessage, EditDisableWebPagePreviewMessage`